export const map = (collection, callback) => {
  const toReturn = [];
  if (typeof collection === "object") {
    const objectKeys = Object.keys(object);
    objectKeys.forEach((key) => {
      toReturn.push(callback(collection[key], key));
    });
  } else if (collection instanceof Array) {
    return collection.map(callback);
  } else {
    return [];
  }
};
